Subject: bug#11083: guile-2.0.5 bug report

From: Mark H Weaver <[email-masked]>
Date: Wed, 28 Mar 2012 16:28:54 -0400

Kiyoshi KANAZAWA <[email-masked]> writes:
> Thank you Mark,
> Sending this again with Cc:
>
> (1) Now, make succeeds with threads
> Version of libgc is 7.1, but I found some macro define is required for threads on Solaris.
> After re-install gc-7.1 with -DGC_SOLARIS_THREADS or -DGC_THREADS,
> make succeeds.

This is not my area of expertise, but for lack of other suggestions, I
have two ideas:

1. You could try recompiling libgc using POSIX threads instead of
   Solaris threads, and then rebuilding Guile from scratch, starting
   with configure, and linking against the new libgc.

   Guile supports only POSIX threads, and I wouldn't be surprised if
   there are problems associated with linking Guile against a libgc that
   uses a different threading library with slightly different semantics.

2. You could try a newer version of libgc: 7.2alpha6, from
   http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc-7.2alpha6.tar.gz

   Despite the scary version number, Hans Boehm himself now recommends
   this version because 7.1 is so old (see "Where to get the collector"
   at http://www.hpl.hp.com/personal/Hans_Boehm/gc/ )

    Thanks,
      Mark

> (2) Segmentation Fault occur in make check
> Still encounterd FAILS as follows:
> make  check-TESTS
> make[5]: Entering directory `/tmp/guile-2.0.5/test-suite/standalone'
> Assertion failed: SCM_I_IS_THREAD (data.thread), file threads.c, line 1135
> /bin/bash: line 5: 11634 Abort                   srcdir="." builddir="." CHARSETALIASDIR
> ="/tmp/guile-2.0.5/lib" GUILE_AUTO_COMPILE=0 "../../meta/uninstalled-env" ${dir}$tst
> FAIL: test-system-cmds
>   :
> PASS: test-extensions
> /bin/bash: line 5: 12409 Segmentation Fault      srcdir="." builddir="." CHARSETALIASDIR
> ="/tmp/guile-2.0.5/lib" GUILE_AUTO_COMPILE=0 "../../meta/uninstalled-env" ${dir}$tst
> FAIL: test-with-guile-module
> PASS: test-scm-with-guile
> /bin/bash: line 5: 12455 Segmentation Fault      srcdir="." builddir="." CHARSETALIASDIR
> ="/tmp/guile-2.0.5/lib" GUILE_AUTO_COMPILE=0 "../../meta/uninstalled-env" ${dir}$tst
> FAIL: test-scm-spawn-thread
> /bin/bash: line 5: 12479 Segmentation Fault      srcdir="." builddir="." CHARSETALIASDIR
> ="/tmp/guile-2.0.5/lib" GUILE_AUTO_COMPILE=0 "../../meta/uninstalled-env" ${dir}$tst
> FAIL: test-pthread-create
> SKIP: test-pthread-create-secondary
> ==================================
> 4 of 27 tests failed
> (1 test was not run)
> Please report to [email-masked]
> ==================================